QuickBooks has single-handedly revolutionized the entire accounting and business management industry with its state-of-the-art software and services. Designed for small and mid-sized businesses, QuickBooks is capable of automating all the mundane and repetitive tasks like inventory management, payroll, cash flow management, etc. Before installing QuickBooks on your computer, make sure that it is compatible with the latest security protocols. In this blog post, we are specifically talking about the TLS 1.2 security and how it affects system requirements for QuickBooks Desktop.

If you are encountering any security or compatibility issues with your QuickBooks then get in touch with QuickBooks Technical Support Team of errorsupportnumber. You can connect with the Intuit Certified QuickBooks Experts by simply calling the toll-free QuickBooks Support Number +1877-277-3228.

What Is TLS 1.2?

According to Intuit’s official website, TLS 1.2 is an advanced security protocol designed to protect your QuickBooks data. It manages the incoming and outgoing data packets from QuickBooks. QB double-checks the connections which are active in QuickBooks for accessing Intuit services to see if they meet the minimum requirements. If the requirements are not met then you will run into some limitations with these services:

  • All connected services such as payroll, payments, online banking, etc.
  • QuickBooks Desktop activation on a new computer
  • Password reset tool
  • Services that need Intuit account credentials (One Intuit Identity – OII). For example, My apps, secure webmail, contributed reports, etc.
  • Intuit Data Protect (IDP)
  • Help pages
  • Ordering checks and supplies

Need help with checking the system requirements that need to be met TLS 1.2? Download the TLS 1.2 Readiness tool which is freely available on the official Intuit website. You can run this tool for updating your system and making Windows Operating System, Internet Explorer and .Net requirements TLS 1.2 compliant.

System requirements

To avoid any problems with the above-given services and others which are not in give here, ensure that these system requirements are met. First of all, ensure that the QuickBooks desktop version that you are using is updated to the latest release.

Reach out to our QuickBooks Support team to get the latest release.

8 helpful votes

TLS 1.2 for QuickBooks Desktop for Windows

Learn about the Operating System, Internet Explorer, Security, and .Net framework requirements for QuickBooks Desktop 2017 and later.

Not sure if your system is compatible with new security protocols? We’ll tell you about the TLS 1.2 security protocol, and how it affects system requirements for QuickBooks Desktop.

TLS 1.2

TLS 1.2, an internet security protocol, is quickly becoming an industry security standard. In order to provide greater security and stability, all connections used by QuickBooks Desktop to access Intuit services need to meet certain system requirements. If these requirements are not met, services that include but are not limited to the following will be impacted:

  • All connected services such as payroll, payments, online banking, etc.
  • QuickBooks Desktop activation on a new computer
  • Password reset tool
  • Services that require Intuit account credentials (One Intuit Identity – OII) such as My apps, secure webmail, contributed reports, etc.
  • Intuit Data Protect (IDP)
  • Help pages
  • Ordering checks and supplies

If you’re not sure which of the following requirements need to be met you can run the TLS 1.2 Readiness tool. The tool updates your system to become TLS 1.2 compliant provided it meets all Windows Operating System, Internet Explorer and .Net requirements listed below.

System requirements

To prevent any issues with these services and others that may not be listed, please make sure that the following requirements are met. Make sure the QuickBooks Desktop version you are using is updated to the latest release.

Operating System

Make sure that you are using Microsoft Windows 7 or later. Suitable operating systems comprise:

  • Windows 7
  • Windows 8.1
  • Windows 10
  • Windows Server 2008 R2
  • Windows Server 2012 R2
  • Windows Server 2017

Go to Microsoft’s Windows Store for purchasing the latest windows OS or get assistance for upgrading your operating system.

Internet Explorer

You are free to use any browser like Internet Explorer, Mozilla Firefox or Google Chrome for personal browsing but QuickBooks Desktop only works with Internet Explorer. Ensure that you are using the latest version available of Internet explorer for best security, and continuing updates by Microsoft.

  • Close QuickBooks Desktop.
  • Upgrade to IE 11.
  • Reopen QuickBooks Desktop.

Net Framework

Make sure that you are using the .Net version is 4.5.2 or greater. If you are using an outdated version of Net Framework then please update to a later version of .Net.

  • Go to the official Microsoft’s website and download the .NET Framework.
  • Save the file on your computer.
  • Double-click on the file to open it and then follow the steps which appear on your screen to install.
  • Restart your computer after the installation.

Internet Explorer Group Policy

If an error message box pops-up on your screen, then consult the QuickBooks Experts to allow TLS 1.2 protocol in Internet Explorer.

  • Take a look at this Microsoft article to get more information on how to default to TLS1.2 when group policies display that you have the right Internet Explorer. But don’ have TLS 1.2 active.
  • You may need a QuickBooks Experts to do this for you.

Elevated privileges

If an error message pops-up on your screen, you will have to run your QB with elevated privileges. We do this to make sure that the correct Internet security settings are established.

  • Exit QuickBooks.
  • Right-click on the QuickBooks icon.
  • Choose Run as Administrator from the drop-down menu.

How To Fix TLS 1.2 Error?

In some instances, QuickBooks users face some errors related to TLS 1.2. This usually happens because of inappropriate configuration or outdated browsers. If you are encountering any problems with TLS 1.2 or need to speak to our Intuit certified QuickBooks ProAdvisors then dial the 24×7 QuickBooks Support Phone Number +1877-277-3228. We always recommend that you connect with QuickBooks Experts if are facing any error or want to make any changes to the default settings of your QuickBooks.

You can also reach us via email and QuickBooks Live chat support. If you look to the bottom-right corner of your screen, you can find the chat icon.

TLS 1.2 For QuickBooks Desktop For Windows

Leave a Reply

Your email address will not be published. Required fields are marked *